Rated 2 out of 5 stars

Tried Version 2.1b2, the results

DOES NOT work on Windows XP 32 Bit _at all_ (other then not loading the tabs at startup)

DOES WORK on Windows 7 64 Bit *IF* Load Tabs Progressively 1.6 and Tab Scope 1.1.1 are also installed. The tabs only load (on Win7) if you mouse over the tab and allow the popup from Tab Scope to show, if you click the tab, it will not load and very often the URL will also be removed from the URL field, and you'll have a blank tab (tab lost)

Keep tabs loaded DOES NOT work (WinXP & Win7) (right click 'keep pages from XXXX loaded')

This is one of the best add-on's for firefox, but simply is not working correctly; yet.5 stars when it works.

UPDATE: Installing Compatibility Reporter and setting browser.sessionstore.max_concurrent_tabs to 0 in the about:config gets the add-on working on XP like it does on Win7. But you must use the add-on Tab Scope and allow the popup to show to get the tabs to load when switching, otherwise the tabs will not be loaded and the URL may be lost completely.

Rated 4 out of 5 stars

Version 2.0 of this will plugin will not work 100% with FF4 (as others have stated). You can get it to work for loading however. Download the .xpi file and open it (its just a zip file). Edit the install.rdf and locate <em:maxVersion>3.6.*</em:maxVersion>, change the 3.6.* to, for example, 4.0. Save and rezip the file and rename from .zip to .xpi. Firefox will now accept the plugin.

What works:
When Firefox starts, the tabs are no longer loaded unless desired. Automatic unloading will, however, cause the loaded tab to remain loaded and a duplicate unloaded tab to be created. Changing to unloaded tabs, they will not automatically load, simply click the reload in Firefox. Note, when the plugin is updated, it will most likely not update if you make a change as described. Simply uninstall and install the updated whenever the author updates.

If you don't want to make this change, the plugin "Load Tabs Progressively" will work to slowdown Firefox loading all your tabs at once, and does work with FF4.